BuildRequires: python-modules-encodings python-devel
%global svn_checkout 1
%global revno 338

Name:           jbrout
Version:        0.3.%{revno}
%if 0%{?svn_checkout}
Release:        alt1_0.7.svn%{revno}
%else
Release:        alt1_1
%endif
Summary:        Photo manager, written in python/pygtk
Group:          Graphics
License:        GPLv2
URL:            http://jbrout.manatlan.com/
%if 0%{?svn_checkout}
# svn export -r %{revno} http://jbrout.googlecode.com/svn/trunk/ jbrout
# tar cvjf jbrout.tar.bz2 jbrout/
Source0:        %{name}.tar.bz2
%else
Source0:        http://jbrout.free.fr/download/sources/%{name}_%{version}.tar.gz
%endif
Source1:        jbrout-Makefile
Source2:        jbrout.desktop
Source3:        jbrout-usr_bin
Source4:        jbrout-install.sh
Source5:        jbrout-clean-SVN-checkout.sh
# EXPERIMENTAL for now, don't distribute!
Patch0:         jbrout-purge-no-attribute-attrib.patch
# No pyexiv2 warning at all (reverse upstream r331)
# Fedora users have no choice about what pyexiv2 to use.
# Besides pyexiv2 0.3.* is now officially stable.
Patch1:         jbrout-no-pyexiv2-warning.patch
# python-pillow compatibility
# https://bugzilla.redhat.com/show_bug.cgi?id=895287
Patch2: jbrout-pillow.patch
BuildArch:      noarch
Requires:       pygtk2 >= 2.6
Requires:       fbida
# required due to exiftool
Requires:       perl-Image-ExifTool
BuildRequires: gettext desktop-file-utils
Source44: import.info

%description
jBrout is able to :
   * manage albums/photos (= folders/files)
   * tag photos with IPTC keywords
   * use internal jpeg thumbnail
   * comment photos (with jpeg comment) and album (textfile in
     folder)
   * rotate loss-less jpeg (and internal jpeg thumbnail)
     use EXIF info (date, size ..)
   * search pictures (tags, comment, date, ...)
   * use plugins (to export to html/gallery, to act like
     a httpserver, to export pictures to be mailed, ...)
   * work without database ! (just a xmlfile which can be rebuild
     from scratch)
   * handle a lot of photos (jbrout's author claims to have more than 20000
     of them)
   * upload photos to a flickr account
   * ...

%prep
%setup -q -n %{name}
%patch0 -p1 -b .noAttributeAttrib
%patch1 -p1 -b .noPyexiv2Warn
%patch2 -p1 -b .compat-pillow
sh %{SOURCE5}
install -p %{SOURCE1} jbrout/Makefile
install -p -m a+rx,u+w %{SOURCE4} jbrout/install-script

%build
cd %{name}
ls
make PODIR=po

%install
cd %{name}
make DESTDIR=$RPM_BUILD_ROOT install

install -D -m a+rx,u+w %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -p -m a+rx,u+w %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category=X-Fedora \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/jbrout
%doc %{name}/data/gpl.txt
%{_datadir}/jbrout/
%exclude %{_datadir}/jbrout/plugins/*/po/*/LC_MESSAGES/plugin.mo
%lang(fr) %{_datadir}/jbrout/plugins/*/po/fr/LC_MESSAGES/plugin.mo
%lang(it) %{_datadir}/jbrout/plugins/*/po/it/LC_MESSAGES/plugin.mo
%{_datadir}/applications/jbrout.desktop

%changelog
* Fri Apr 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.338-alt1_0.7.svn338
- update from fc import

* Sat Jan 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.338-alt1_0.6.svn338
- initial fc import

